Package Details: nimf-git 2017.01.28.aa61961-1

Git Clone URL: https://aur.archlinux.org/nimf-git.git (read-only)
Package Base: nimf-git
Description: Nimf is an input method framework
Upstream URL: https://cogniti.github.io/nimf
Keywords: input-method nimf
Licenses: GNU LGPL v3
Groups: nimf
Conflicts: nimf
Submitter: sukso96100
Maintainer: None
Last Packager: sukso96100
Votes: 7
Popularity: 0.146602
First Submitted: 2016-04-29 00:54
Last Updated: 2017-06-10 02:55

Required by (0)

Sources (1)

Latest Comments

sukso96100 commented on 2018-05-20 07:47

I'm disowning this package for following several reason:

  • Nimf is no longer maintained as a Free, Open Source Software. the maintainer of the nimf decided to only provide paid update.
  • The maintainer of nimf project, manages issues and Pull Requests in such a weird and unacceptable way.
  • Whenever the new issue is submitted, the maintainer always caculates his/her financial loss by solving the issue. FOSS is not about calculating financial loss per solving issues.
  • He removed the donation button from the nimf. because he/she thinks maintaining donation button requires much more cost than the amount of money that he actually received as a donation for the project. (Which is so unacceptable reason for me)
  • When i contributed a fix for donation button, he/she rejected my contribution at first because he/she thinks maintaining donation button and donation webpage leads costs a lot. (Similar reason, also unacceptable)
  • He/She sometime suddenly close issue tracker and don't accept any issue because it leads to his/her financial loss. He also suddenly closed the whole repo for while for the same reason.
  • I'm no longer using nimf

For these reason, i'm no longer maintaining this package. I also decided to no longer contributing to nimf. If you want to maintain this package, you can grap it. But please note that, nimf is no longer maintained.

and if you want to know what the hell is going on, take a look at these links.(If you don't understands Korean, you can use translator)

qqkami commented on 2017-09-14 07:21

audit seems to be a dependency (not only make) as you get a failed to load shared library [...] usr/lib/libaudit.so.1 [...] error if you don't have it

robshin commented on 2017-08-09 15:45

I get a segfault using the package from AUR. (Haven't tested building it myself from source)

Here is the dmesg log:

[ 7382.358256] nimf-daemon[16940]: segfault at 0 ip 00007ff86bd822c3 sp 00007fffb053b1a8 error 6 in libxkbcommon.so.0.0.0[7ff86bd7a000+3e000]

EDIT: edit your locale.conf and set LC_* variables to the locale you use. The segfault gets gone.

sukso96100 commented on 2017-06-08 01:31

@ywen407 / Hi. I've replaced xorg-server-utils with libxkbcommon.
please try to install again.

Anonymous comment on 2017-05-31 16:39

Dependencies problem.

bc xorg-server-utils removed, this pack can't install.

queenmedley commented on 2017-03-04 08:07

I just installed it. It works well.
Thanks.

sukso96100 commented on 2017-02-21 05:00

@queenmedly / Hi, That was Qt 5.8.0 Compatibility issue, and fixed today.
https://github.com/cogniti/nimf/issues/38

sukso96100 commented on 2017-02-18 03:46

@queenmedley / I think that could be a problem of nimf of Qt. I will open an issue at Nimf issue tracker.

queenmedley commented on 2017-02-17 09:01

When compileing, error happen..
-----------------------------------------------------------------------------
make[5]: 디렉터리 '/tmp/yaourt-tmp-office1/aur-nimf-git/src/nimf/modules/clients/qt5' 들어감
CXX libqt5im_nimf_la-im-nimf-qt5.lo
In file included from im-nimf-qt5.cpp:25:0:
/usr/include/qt/QtGui/5.8.0/QtGui/qpa/qplatforminputcontextplugin_p.h:54:41: fatal error: QtGui/private/qtguiglobal_p.h: 그런 파일이나 디렉터리가 없습니다
#include <QtGui/private/qtguiglobal_p.h>
----------------------------------------------------------------------------

I can find that file in "/usr/include/qt/QtGui/5.8.0/QtGui/private/"
How can fix PKGBUILD?